de.esprit.netsuite.server.core

## Class MailerFacade

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.core.MailerFacade

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class MailerFacade
      extends AbstractServerObject<ServerContext>

  This class is a facade to the `EmailSender`. It creates the `EmailSender` only if the mailing software (mail.jar) actually exists.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailerFacade(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `sendEmailMessage(java.lang.String subject, java.lang.String message)`
    `int` | `sendErrorMail(java.lang.String message, java.lang.Exception e)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MailerFacade

          public MailerFacade(ServerContext serverCtx)

  - ### Method Detail

    - #### sendEmailMessage

          public int sendEmailMessage(java.lang.String subject,
                             java.lang.String message)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendErrorMail

          public int sendErrorMail(java.lang.String message,
                          java.lang.Exception e)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.